GET /v1/conversations/:id.
All scenarios
domains, activities and variables objects use the same shape as the results object in POST /v1/calculate. A conversation with no completed calculations returns an empty scenarios array.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve the resolved domains, activities, and variables for every scenario in a conversation, or for a single scenario.
GET /v1/conversations/:id.
GET /v1/conversations/:id/context
{
"conversation_id": "550e8400-...",
"scenarios": [
{
"id": 1,
"domains": [{ ... }],
"activities": [{ ... }],
"variables": [
{
"id": "...",
"key": "monthly_payment",
"title": "Monthly payment",
"source": "calculated",
"historical": false,
"value": "2398.20 USD",
"display": { ... }
}
]
}
]
}
domains, activities and variables objects use the same shape as the results object in POST /v1/calculate. A conversation with no completed calculations returns an empty scenarios array.
GET /v1/conversations/:id/context/:scenario_id
{
"conversation_id": "550e8400-...",
"scenario": {
"id": 1,
"domains": [ "..." ],
"activities": [ "..." ],
"variables": [ "..." ]
}
}
